import * as asyncHandler from 'express-async-handler';
import * as szgcBiz from '../../biz/getData';

export function setLeftRoutes(httpServer) {
    httpServer.get('/szgc/getdata/sightVisitorFlowByDay', asyncHandler((req, res) => szgcBiz.getData(req, res, 'sightVisitorFlowByDay')));
    httpServer.get('/szgc/getdata/gateStatus', asyncHandler((req, res) => szgcBiz.getData(req, res, 'gateStatus')));
    httpServer.get('/szgc/getdata/sightVisitorFlowPerHour', asyncHandler((req, res) => szgcBiz.getData(req, res, 'sightVisitorFlowPerHour')));
    httpServer.get('/szgc/getdata/guchengLoad', asyncHandler((req, res) => szgcBiz.getData(req, res, 'guchengLoad')));
    httpServer.get('/szgc/getdata/totalVisitorFlow', asyncHandler((req, res) => szgcBiz.getData(req, res, 'totalVisitorFlow')));
    httpServer.get('/szgc/getdata/totalVisitorFlowByDay', asyncHandler((req, res) => szgcBiz.getData(req, res, 'totalVisitorFlowByHour')));
}